=== debian/changelog ===
nvtop (1.0.0-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Drop to debhelper 10 compat to ease backports.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 16 May 2019 19:05:50 -0700

nvtop (1.0.0-1) unstable; urgency=low

  * Initial release. (Closes: #918702)

 -- Maxime Schmitt <maxime.schmitt91@gmail.com>  Thu, 10 Jan 2019 10:23:41 +0100
