=== debian/control ===
Source: nvtop
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Maxime Schmitt <maxime.schmitt91@gmail.com>
Section: contrib/utils
Priority: optional
Standards-Version: 4.3.0
Build-Depends: debhelper (>=10~),
               cmake (>=3.1),
               nvidia-cuda-dev,
               libnvidia-ml1,
               libncurses-dev,
Homepage: https://github.com/Syllo/nvtop

Package: nvtop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Interactive NVIDIA GPU process monitor
 Nvtop is a ncurses-based GPU monitoring interface which provides information
 on the GPU states (GPU and memory utilization, temperature, etc) and well as
 information about the processes executing on the GPUs.
