## nvtop 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #                              PROJECT                              #
 #///////////////////////////////////////////////////////////////////#
 
-project(nvtop VERSION 1.0.0
+project(nvtop VERSION 1.1.0
   LANGUAGES C)
 
 set(default_build_type "Release")
