=== debian/changelog ===
nvtop (1.1.0-1) unstable; urgency=medium

  [ Maxime Schmitt ]
  * Update to new upstream release 1.1.0.

  [ Andreas Beckmann ]
  * Bump Standards-Version to 4.5.1, no changes needed.

 -- Maxime Schmitt <maxime.schmitt91@gmail.com>  Thu, 07 Jan 2021 16:10:44 +0100

nvtop (1.0.0-2) unstable; urgency=medium

  * Switch nvidia-specific Build-Depends to libnvidia-ml-dev.
  * Switch to debhelper-compat (= 13).
  * Set Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes needed.
  * Add explanation for placement in contrib.
  * Set Maintainer to Debian NVIDIA Maintainers, move Maxime to Uploaders.
  * Add myself to Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 11 Nov 2020 16:05:12 +0100
