=== debian/changelog ===
nvtop (1.2.2-1) unstable; urgency=medium

  * Update to upstream release 1.2.2.
  * Update the debian metadata fields to the latest version.
  * Remove libnvidia-ml from the build dependencies.
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Maxime Schmitt <maxime.schmitt91@gmail.com>  Wed, 15 Sep 2021 19:50:02 +0200
