=== debian/control ===
--- 
+++ 
@@ -9,9 +9,8 @@
  debhelper-compat (= 13),
  cmake (>= 3.1),
  libncurses-dev,
- libnvidia-ml-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/Syllo/nvtop
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvtop.git
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvtop
