## nvtop 3.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
-cmake_minimum_required(VERSION 3.1)
+cmake_minimum_required(VERSION 3.10)
 
 #///////////////////////////////////////////////////////////////////#
 #                              PROJECT                              #
 #///////////////////////////////////////////////////////////////////#
 
-project(nvtop VERSION 1.2.2
-  LANGUAGES C)
+project(nvtop VERSION 3.0.1
+  LANGUAGES C CXX)
 
 set(default_build_type "Release")
 # Default build type
@@ -60,21 +60,43 @@
   set(CMAKE_INSTALL_RPATH "")
 endif()
 
+option(NVIDIA_SUPPORT "Build support for NVIDIA GPUs through libnvml" ON)
+option(AMDGPU_SUPPORT "Build support for AMD GPUs through amdgpu driver" ON)
+option(INTEL_SUPPORT "Build support for Intel GPUs through i915 driver" ON)
+
 add_subdirectory(src)
 
 #///////////////////////////////////////////////////////////////////#
 #                             INSTALL                               #
 #///////////////////////////////////////////////////////////////////#
 
+string(TIMESTAMP TODAY_MANPAGE "%B %Y")
+string(TIMESTAMP TODAY_ISO_8601 "%Y-%m-%d")
 configure_file(
   "${CMAKE_CURRENT_SOURCE_DIR}/manpage/nvtop.in"
   "${CMAKE_CURRENT_BINARY_DIR}/manpage/nvtop"
+  IMMEDIATE @ONLY)
+configure_file(
+  "${CMAKE_CURRENT_SOURCE_DIR}/desktop/nvtop.metainfo.xml.in"
+  "${CMAKE_CURRENT_BINARY_DIR}/desktop/nvtop.metainfo.xml"
   IMMEDIATE @ONLY)
 install(FILES
   "${CMAKE_CURRENT_BINARY_DIR}/manpage/nvtop"
   DESTINATION share/man/man1/
   PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ
   RENAME nvtop.1)
+install(FILES
+  "${CMAKE_CURRENT_SOURCE_DIR}/desktop/nvtop.svg"
+  DESTINATION share/icons
+  PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ)
+install(FILES
+  "${CMAKE_CURRENT_SOURCE_DIR}/desktop/nvtop.desktop"
+  DESTINATION share/applications
+  PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ)
+install(FILES
+  "${CMAKE_CURRENT_BINARY_DIR}/desktop/nvtop.metainfo.xml"
+  DESTINATION share/metainfo
+  PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ)
 
 configure_file(
   "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
@@ -84,39 +106,13 @@
   COMMAND ${CMAKE_COMMAND} -P
   ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
 
-
 #///////////////////////////////////////////////////////////////////#
-#                            PACKAGING                              #
+#                             TESTING                               #
 #///////////////////////////////////////////////////////////////////#
 
-#set(CPACK_PACKAGE_NAME "nvtop")
-#set(CPACK_PACKAGE_VENDOR "Maxime Schmitt")
-#set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "NVIDIA GPU monitoring tool")
-#set(CPACK_PACKAGE_DESCRIPTION
-  #"Nvtop is a htop-like monitoring tool for NVIDIA GPUs. It can print GPUs information such as GPU and memory usage, temperature and active processes.")
-#set(CPACK_PACKAGE_DESCRIPTION_FILE "${PROJECT_SOURCE_DIR}/README.markdown")
-#set(CPACK_PACKAGE_EXECUTABLES "nvtop")
-#set(CPACK_PACKAGE_VERSION_MAJOR ${PROJECT_VERSION_MAJOR})
-#set(CPACK_PACKAGE_VERSION_MINOR ${PROJECT_VERSION_MINOR})
-#set(CPACK_PACKAGE_VERSION_PATCH ${PROJECT_VERSION_PATCH})
 
-#set(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "x86-64")
-#set(CPACK_DEBIAN_PACKAGE_DEPENDS "")
-#set(CPACK_DEBIAN_PACKAGE_MAINTAINER "Maxime Schmitt <maxime.schmitt@gmail.com>")
-#set(CPACK_DEBIAN_PACKAGE_SECTION "Utilities")
-#set(CPACK_DEBIAN_PACKAGE_PRIORITY "optional")
-
-#set(CPACK_RPM_PACKAGE_ARCHITECTURE "amd64")
-#set(CPACK_RPM_PACKAGE_RELEASE 1)
-#set(CPACK_RPM_PACKAGE_LICENSE "GPL3+")
-#set(CPACK_RPM_PACKAGE_REQUIRES "")
-
-#set(CPACK_GENERATOR "TGZ;TBZ2")
-#list(APPEND CPACK_GENERATOR "DEB") # .deb package build
-#list(APPEND CPACK_GENERATOR "RPM") # .rpm package build
-#set(CPACK_SOURCE_GENERATOR "TGZ;TBZ2;ZIP")
-#set(CPACK_SOURCE_IGNORE_FILES
-  #.git*
-  #/.*build.*
-  #)
-#include(CPack)
+if (NOT CMAKE_BUILD_TYPE STREQUAL "Debug")
+  option(BUILD_TESTING "Build tests" OFF)
+endif()
+include(CTest)
+add_subdirectory(tests)
