=== debian/changelog ===
nvtop (3.0.1-1) unstable; urgency=medium

  * New upstream release 3.0.1.
  * Enable support for AMD and Intel GPUs.  (Closes: #1025348)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 05 Dec 2022 23:24:49 +0100

nvtop (2.0.3-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * New upstream release 2.0.3.  (Closes: #1014285, #1018848)
  * Bump Standards-Version to 4.6.1, no changes needed.

  [ Debian Janitor ]
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on cmake.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 29 Sep 2022 19:26:57 +0200
