=== debian/control ===
--- 
+++ 
@@ -7,10 +7,14 @@
  Andreas Beckmann <anbe@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- cmake (>= 3.1),
+ cmake,
+ libdrm-dev,
+ libgtest-dev,
  libncurses-dev,
+ libsystemd-dev,
+ pkgconf,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/Syllo/nvtop
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvtop.git
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvtop
