=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/nvtop-$1\.tar\.gz/ \
  https://github.com/Syllo/nvtop/tags .*/v?(\d\S+)\.tar\.gz
