## nvtop 3.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #                              PROJECT                              #
 #///////////////////////////////////////////////////////////////////#
 
-project(nvtop VERSION 3.0.1
+project(nvtop VERSION 3.0.2
   LANGUAGES C CXX)
 
 set(default_build_type "Release")
@@ -63,6 +63,7 @@
 option(NVIDIA_SUPPORT "Build support for NVIDIA GPUs through libnvml" ON)
 option(AMDGPU_SUPPORT "Build support for AMD GPUs through amdgpu driver" ON)
 option(INTEL_SUPPORT "Build support for Intel GPUs through i915 driver" ON)
+option(MSM_SUPPORT "Build support for Adreno GPUs through msm driver" ON)
 
 add_subdirectory(src)
