=== src/CMakeLists.txt ===
--- 
+++ 
@@ -58,16 +58,24 @@
   target_sources(nvtop PRIVATE device_discovery_linux.c)
 endif()
 
-if(AMDGPU_SUPPORT)
+if(AMDGPU_SUPPORT OR MSM_SUPPORT)
   # Search for libdrm for AMDGPU support
   find_package(Libdrm)
 
   if(Libdrm_FOUND)
-    message(STATUS "Found libdrm; Enabling AMDGPU support")
+    message(STATUS "Found libdrm; Enabling support")
     target_include_directories(nvtop PRIVATE ${Libdrm_INCLUDE_DIRS})
-    target_sources(nvtop PRIVATE extract_gpuinfo_amdgpu.c)
+    if (AMDGPU_SUPPORT)
+      target_sources(nvtop PRIVATE extract_gpuinfo_amdgpu.c)
+      target_sources(nvtop PRIVATE extract_gpuinfo_amdgpu_utils.c)
+    endif()
+
+    if (MSM_SUPPORT)
+      target_sources(nvtop PRIVATE extract_gpuinfo_msm.c)
+      target_sources(nvtop PRIVATE extract_gpuinfo_msm_utils.c)
+    endif()
   else()
-    message(FATAL_ERROR "libdrm not found; This library is required for AMDGPU support")
+    message(FATAL_ERROR "libdrm not found; This library is required for AMDGPU and MSM support")
   endif()
 endif()
