=== debian/changelog ===
nvtop (3.0.2-1) unstable; urgency=medium

  * New upstream release 3.0.2.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 31 Jul 2023 13:51:15 +0200
