=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libsystemd-dev,
  pkgconf,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/Syllo/nvtop
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvtop.git
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvtop
