## nvtop 3.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
-cmake_minimum_required(VERSION 3.10)
+cmake_minimum_required(VERSION 3.18)
 
 #///////////////////////////////////////////////////////////////////#
 #                              PROJECT                              #
 #///////////////////////////////////////////////////////////////////#
 
-project(nvtop VERSION 3.0.2
+project(nvtop VERSION 3.1.0
   LANGUAGES C CXX)
 
 set(default_build_type "Release")
@@ -60,10 +60,43 @@
   set(CMAKE_INSTALL_RPATH "")
 endif()
 
-option(NVIDIA_SUPPORT "Build support for NVIDIA GPUs through libnvml" ON)
-option(AMDGPU_SUPPORT "Build support for AMD GPUs through amdgpu driver" ON)
-option(INTEL_SUPPORT "Build support for Intel GPUs through i915 driver" ON)
-option(MSM_SUPPORT "Build support for Adreno GPUs through msm driver" ON)
+if(APPLE)
+  set(APPLE_SUPPORT_DEFAULT ON)
+  set(NVIDIA_SUPPORT_DEFAULT OFF)
+  set(AMDGPU_SUPPORT_DEFAULT OFF)
+  set(INTEL_SUPPORT_DEFAULT OFF)
+  set(MSM_SUPPORT_DEFAULT OFF)
+  set(PANFROST_SUPPORT_DEFAULT OFF)
+  set(PANTHOR_SUPPORT_DEFAULT OFF)
+  set(ASCEND_SUPPORT_DEFAULT OFF)
+elseif(ASCEND_SUPPORT)
+  set(APPLE_SUPPORT_DEFAULT OFF)
+  set(NVIDIA_SUPPORT_DEFAULT OFF)
+  set(AMDGPU_SUPPORT_DEFAULT OFF)
+  set(INTEL_SUPPORT_DEFAULT OFF)
+  set(MSM_SUPPORT_DEFAULT OFF)
+  set(PANFROST_SUPPORT_DEFAULT OFF)
+  set(PANTHOR_SUPPORT_DEFAULT OFF)
+  set(ASCEND_SUPPORT_DEFAULT ON)
+else()
+  set(APPLE_SUPPORT_DEFAULT OFF)
+  set(NVIDIA_SUPPORT_DEFAULT ON)
+  set(AMDGPU_SUPPORT_DEFAULT ON)
+  set(INTEL_SUPPORT_DEFAULT ON)
+  set(MSM_SUPPORT_DEFAULT ON)
+  set(PANFROST_SUPPORT_DEFAULT ON)
+  set(PANTHOR_SUPPORT_DEFAULT ON)
+  set(ASCEND_SUPPORT_DEFAULT OFF)
+endif()
+
+option(NVIDIA_SUPPORT "Build support for NVIDIA GPUs through libnvml" ${NVIDIA_SUPPORT_DEFAULT})
+option(AMDGPU_SUPPORT "Build support for AMD GPUs through amdgpu driver" ${AMDGPU_SUPPORT_DEFAULT})
+option(INTEL_SUPPORT "Build support for Intel GPUs through i915 driver" ${INTEL_SUPPORT_DEFAULT})
+option(MSM_SUPPORT "Build support for Adreno GPUs through msm driver" ${MSM_SUPPORT_DEFAULT})
+option(APPLE_SUPPORT "Build support for Apple GPUs through Metal" ${APPLE_SUPPORT_DEFAULT})
+option(PANFROST_SUPPORT "Build support for Mali GPUs through panfrost driver" ${PANFROST_SUPPORT_DEFAULT})
+option(PANTHOR_SUPPORT "Build support for Mali GPUs through panthor driver" ${PANTHOR_SUPPORT_DEFAULT})
+option(ASCEND_SUPPORT "Build support for Ascend NPUs through Ascend DCMI" ${ASCEND_SUPPORT_DEFAULT})
 
 add_subdirectory(src)
