=== debian/changelog ===
nvtop (3.1.0-2) unstable; urgency=medium

  * Use UTC timestamps for reproducibility.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 14 Feb 2025 10:04:56 +0100

nvtop (3.1.0-1) unstable; urgency=medium

  * New upstream release 3.1.0.
  * Refresh d/copyright.
  * Update Description.
  * Move from contrib to main.  (Closes: #1066807)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 22 Mar 2024 21:51:22 +0100
