=== debian/control ===
Source: nvtop
Section: utils
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Maxime Schmitt <maxime.schmitt91@gmail.com>,
 Andreas Beckmann <anbe@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libdrm-dev,
 libgtest-dev,
 libncurses-dev,
 libsystemd-dev,
 pkgconf,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/Syllo/nvtop
Vcs-Git: https://salsa.debian.org/nvidia-team/nvtop.git
Vcs-Browser: https://salsa.debian.org/nvidia-team/nvtop

Package: nvtop
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Neat Videocard TOP
 NVTOP stands for Neat Videocard TOP, a (h)top like task monitor for AMD, Intel
 and NVIDIA GPUs. It can handle multiple GPUs and print information
 about them in a htop-familiar way.
