## nvtop 3.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #                              PROJECT                              #
 #///////////////////////////////////////////////////////////////////#
 
-project(nvtop VERSION 3.1.0
+project(nvtop VERSION 3.2.0
   LANGUAGES C CXX)
 
 set(default_build_type "Release")
@@ -39,6 +39,7 @@
   INTERFACE_INCLUDE_DIRECTORIES ${CURSES_INCLUDE_DIRS})
 set_property(TARGET ncurses PROPERTY
   INTERFACE_LINK_LIBRARIES ${CURSES_LIBRARIES})
+add_compile_definitions(NCURSES_ENABLE_STDBOOL_H=1)
 
 #///////////////////////////////////////////////////////////////////#
 #                        COMPILATION OPTIONS                        #
@@ -83,20 +84,40 @@
   set(NVIDIA_SUPPORT_DEFAULT ON)
   set(AMDGPU_SUPPORT_DEFAULT ON)
   set(INTEL_SUPPORT_DEFAULT ON)
+  set(V3D_SUPPORT_DEFAULT ON)
   set(MSM_SUPPORT_DEFAULT ON)
   set(PANFROST_SUPPORT_DEFAULT ON)
   set(PANTHOR_SUPPORT_DEFAULT ON)
   set(ASCEND_SUPPORT_DEFAULT OFF)
 endif()
 
+# TPU support is only available on Linux
+if (CMAKE_SYSTEM_NAME STREQUAL "Linux")
+  # Check for libtpuinfo.so to set the default for TPU support
+  find_library(LIBTPUINFO
+    NAMES libtpuinfo.so
+    PATHS /usr/lib /usr/lib64 /usr/local/lib /usr/local/lib64
+    HINTS ${CMAKE_INSTALL_PREFIX}/lib ${CMAKE_INSTALL_PREFIX}/lib64 lib lib64
+  )
+  if (NOT LIBTPUINFO)
+    set(TPU_SUPPORT_DEFAULT OFF)
+  else()
+    set(TPU_SUPPORT_DEFAULT ON)
+  endif()
+else()
+  set(TPU_SUPPORT_DEFAULT OFF)
+endif()
+
 option(NVIDIA_SUPPORT "Build support for NVIDIA GPUs through libnvml" ${NVIDIA_SUPPORT_DEFAULT})
 option(AMDGPU_SUPPORT "Build support for AMD GPUs through amdgpu driver" ${AMDGPU_SUPPORT_DEFAULT})
-option(INTEL_SUPPORT "Build support for Intel GPUs through i915 driver" ${INTEL_SUPPORT_DEFAULT})
+option(INTEL_SUPPORT "Build support for Intel GPUs through i915 or xe driver" ${INTEL_SUPPORT_DEFAULT})
 option(MSM_SUPPORT "Build support for Adreno GPUs through msm driver" ${MSM_SUPPORT_DEFAULT})
 option(APPLE_SUPPORT "Build support for Apple GPUs through Metal" ${APPLE_SUPPORT_DEFAULT})
 option(PANFROST_SUPPORT "Build support for Mali GPUs through panfrost driver" ${PANFROST_SUPPORT_DEFAULT})
 option(PANTHOR_SUPPORT "Build support for Mali GPUs through panthor driver" ${PANTHOR_SUPPORT_DEFAULT})
 option(ASCEND_SUPPORT "Build support for Ascend NPUs through Ascend DCMI" ${ASCEND_SUPPORT_DEFAULT})
+option(V3D_SUPPORT "Build support for Raspberrypi through v3d" ${V3D_SUPPORT_DEFAULT})
+option(TPU_SUPPORT "Build support for Google TPUs through GRPC" ${TPU_SUPPORT_DEFAULT})
 
 add_subdirectory(src)
