=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
   # Create a library for testing
   add_library(testLib
     ${PROJECT_SOURCE_DIR}/src/interface_layout_selection.c
+    ${PROJECT_SOURCE_DIR}/src/extract_processinfo_fdinfo.c
     ${PROJECT_SOURCE_DIR}/src/interface_options.c
     ${PROJECT_SOURCE_DIR}/src/ini.c
   )
