=== debian/changelog ===
nvtop (3.2.0-1) unstable; urgency=medium

  * New upstream release 3.2.0.
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 11 Apr 2025 12:01:26 +0200
